LibreOffice LibreOffice 25.2 SDK API Reference

List of all members
ConnectionPool Service Referencepublished

is the basic service for pooling SDBC connections. More...

`import"ConnectionPool.idl";`

Inheritance diagram for ConnectionPool:

## Additional Inherited Members
Exported Interfaces inherited from XConnectionPool
interface | XDriverManager
interface | XDriverAccess
Public Member Functions inherited from XDriverManager
XConnection | getConnection ([in]string url) raises (SQLException)
| attempts to establish a connection to the given database URL. More...
XConnection | getConnectionWithInfo ([in]string url, [in]sequence< com::sun::star::beans::PropertyValue > info) raises (SQLException)
| attempts to establish a connection to the given database URL. More...
void | setLoginTimeout ([in]long seconds)
| sets the maximum time in seconds that a driver will wait while attempting to connect to a database. More...
long | getLoginTimeout ()
| gets the maximum time in seconds that a driver can wait when attempting to login to a database. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XDriverAccess
XDriver | getDriverByURL ([in]string url)
| get a driver which accepts a given url. More...

## Detailed Description

is the basic service for pooling SDBC connections.

When the method com::sun::star::sdbc::XPooledConnection::getConnection() is called, the ConnectionPool will attempt to locate a suitable pooled connection or create a new connection from the DriverManager. When the connection will be released it will move to the pool of unused connections.

See also
  com::sun::star::sdbc::XDriver
  com::sun::star::sdbc::XConnection

Developers Guide
  Database Access - Connection Pooling

The documentation for this service was generated from the following file:

- com/sun/star/sdbc/ConnectionPool.idl